Bug 11879 - Add a new field to patron record: main contact method
Summary: Add a new field to patron record: main contact method
Status: Failed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Mehdi Hamidi
QA Contact: Josef Moravec
URL:
Keywords:
: 9082 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-02-28 20:26 UTC by Frédérick Capovilla
Modified: 2019-10-21 15:59 UTC (History)
27 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Add the "Main contact method" field in borrower informations. (4.05 KB, patch)
2014-02-28 20:26 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
New version of the patch. Rebase on current master. (4.12 KB, patch)
2014-03-06 22:42 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
Bug 11879 [QA Followup] - Fix patch to follow modern coding guidelines (5.69 KB, patch)
2014-03-07 17:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
New version of the patch. Rebase on current master (7.82 KB, patch)
2014-08-29 18:51 UTC, simith.doliveira
Details | Diff | Splinter Review
New version of the patch. Rebase on current master (7.32 KB, patch)
2014-08-29 18:59 UTC, simith.doliveira
Details | Diff | Splinter Review
Version rebased on current master - fixed columm name (7.38 KB, patch)
2014-09-02 12:55 UTC, simith.doliveira
Details | Diff | Splinter Review
Rebased on current master for testing (4.77 KB, patch)
2014-12-12 14:31 UTC, Marc Véron
Details | Diff | Splinter Review
Fix syspref BorrowerUnwantedField (6.94 KB, patch)
2014-12-17 14:17 UTC, simith.doliveira
Details | Diff | Splinter Review
[Signed-off] Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing) (5.21 KB, patch)
2014-12-18 04:15 UTC, Marc Véron
Details | Diff | Splinter Review
[Signed-off] Fix syspref BorrowerUnwantedField (7.31 KB, patch)
2014-12-18 04:17 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing) (5.17 KB, patch)
2014-12-19 15:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing) (5.17 KB, patch)
2014-12-19 15:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 11879 - Fix syspref BorrowerUnwantedField (7.29 KB, patch)
2014-12-19 15:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11879 - adds primary_contact_method column to deletedborrowers table (883 bytes, patch)
2015-07-27 21:01 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing) (5.16 KB, patch)
2015-07-28 18:08 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
Bug 11879 - Fix syspref BorrowerUnwantedField (7.53 KB, patch)
2015-07-28 18:09 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
Bug 11879 - adds primary_contact_method column to deletedborrowers table (883 bytes, patch)
2015-07-28 18:09 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
Bug 11879 - Update BDIx schema and show main contact method in moremember.pl (33.12 KB, patch)
2015-12-30 20:43 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 11879 - Update BDIx schema and show main contact method in moremember.pl (3.27 KB, patch)
2016-01-05 21:01 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 11879 - Update BDIx schema and show main contact method in moremember.pl (2.61 KB, patch)
2016-01-05 21:20 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 11879 - Update BDIx schema and show main contact method in moremember.pl (2.61 KB, patch)
2016-01-05 21:29 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing) (5.16 KB, patch)
2016-02-15 19:06 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
Bug 11879 - Fix syspref BorrowerUnwantedField (7.52 KB, patch)
2016-02-15 19:06 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
Bug 11879 - Update BDIx schema and show main contact method in moremember.pl (2.61 KB, patch)
2016-02-15 19:06 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing) (5.23 KB, patch)
2016-02-15 20:24 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing) (5.23 KB, patch)
2016-02-15 20:24 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11879 - Fix syspref BorrowerUnwantedField (7.59 KB, patch)
2016-02-15 20:24 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11879 - Update BDIx schema and show main contact method in moremember.pl (2.68 KB, patch)
2016-02-15 20:25 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing) (5.18 KB, patch)
2016-03-02 19:32 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
Bug 11879 - Fix syspref BorrowerUnwantedField (7.61 KB, patch)
2016-03-02 19:33 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
Bug 11879 - Update BDIx schema and show main contact method in moremember.pl (2.67 KB, patch)
2016-03-02 19:33 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
Bug 11879 QA follow-up (11.10 KB, patch)
2016-03-02 19:33 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
Bug 11879 - QA Follow-up (1.40 KB, patch)
2016-04-19 17:37 UTC, Rémi Mayrand-Provencher
Details | Diff | Splinter Review
Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing) (12.76 KB, patch)
2016-06-20 15:53 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - Fix syspref BorrowerUnwantedField (5.71 KB, patch)
2016-06-20 16:12 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - Update BDIx schema and show main contact method in moremember.pl (2.39 KB, patch)
2016-06-20 18:20 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - Update BDIx schema and show main contact method in moremember.pl (2.39 KB, patch)
2016-06-20 18:23 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - Update BDIx schema and show main contact method in moremember.pl (2.39 KB, patch)
2016-06-20 18:23 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 QA follow-up (12.73 KB, patch)
2016-06-20 18:24 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - QA Follow-up (1.35 KB, patch)
2016-06-20 18:24 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing) (15.10 KB, patch)
2016-06-20 18:24 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - Fix syspref BorrowerUnwantedField (6.40 KB, patch)
2016-06-20 18:24 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - updatedatabase.pl no longer adds column primary_contact_method to table borrowers (1.13 KB, patch)
2016-07-08 17:45 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - QA Follow-up (2.75 KB, patch)
2016-07-25 15:00 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - QA Follow-up (4.93 KB, patch)
2016-07-25 15:48 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - Add a new borrower field : main contact method (2.39 KB, patch)
2016-07-25 17:43 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - Add a new borrower field : main contact method (2.39 KB, text/plain)
2016-07-25 17:44 UTC, Mehdi Hamidi
Details
Bug 11879 - Update BDIx schema and show main contact method in moremember.pl (2.39 KB, patch)
2016-07-25 17:59 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 QA follow-up (12.76 KB, patch)
2016-07-25 17:59 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - QA Follow-up (1.35 KB, patch)
2016-07-25 17:59 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing) (15.09 KB, patch)
2016-07-25 17:59 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - Fix syspref BorrowerUnwantedField (6.40 KB, patch)
2016-07-25 17:59 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879 - QA Follow-up (4.93 KB, patch)
2016-07-25 17:59 UTC, Mehdi Hamidi
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (25.53 KB, patch)
2016-09-29 21:23 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (25.67 KB, patch)
2016-10-12 13:54 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (25.64 KB, patch)
2016-10-12 13:56 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (25.74 KB, patch)
2017-01-03 20:03 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.18 KB, patch)
2017-01-04 15:02 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.18 KB, patch)
2017-01-04 15:02 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: Changes to Koha's schemas (4.21 KB, patch)
2017-01-04 15:02 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.39 KB, patch)
2017-05-08 12:47 UTC, Philippe Audet-Fortin
Details | Diff | Splinter Review
Bug 11879: Changes to Koha's schemas (4.21 KB, patch)
2017-05-08 12:47 UTC, Philippe Audet-Fortin
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (15.79 KB, patch)
2017-08-10 13:52 UTC, Philippe Audet-Fortin
Details | Diff | Splinter Review
Bug 11879: Changes to Koha's schemas (4.21 KB, patch)
2017-08-10 13:56 UTC, Philippe Audet-Fortin
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.37 KB, patch)
2017-11-08 14:28 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 11879: Changes to Koha's schemas (2.77 KB, patch)
2017-11-08 14:29 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 11879: Follow-up - Streamline markup and make label corrections (2.26 KB, patch)
2017-11-09 12:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.28 KB, patch)
2018-02-19 15:22 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: Changes to Koha's schemas (2.79 KB, patch)
2018-02-19 15:22 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: Follow-up - Streamline markup and make label corrections (2.24 KB, patch)
2018-02-19 15:22 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: Follow-up - code review (8.62 KB, patch)
2018-02-19 15:22 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.34 KB, patch)
2018-03-12 10:15 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11879: Changes to Koha's schemas (2.84 KB, patch)
2018-03-12 10:15 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11879: Follow-up - Streamline markup and make label corrections (2.29 KB, patch)
2018-03-12 10:15 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11879: Follow-up - code review (8.68 KB, patch)
2018-03-12 10:15 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.39 KB, patch)
2018-04-11 05:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11879: Schema updates (2.89 KB, patch)
2018-04-11 05:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11879: (follow-up) Streamline markup and make label corrections (2.35 KB, patch)
2018-04-11 05:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11879: (QA follow-up) Fix problems found in code review (8.76 KB, patch)
2018-04-11 05:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.39 KB, patch)
2018-04-13 06:05 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: (follow-up) Streamline markup and make label corrections (2.35 KB, patch)
2018-04-13 06:06 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: (QA follow-up) Fix problems found in code review (8.76 KB, patch)
2018-04-13 06:06 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: Schema updates (2.89 KB, patch)
2018-04-13 06:07 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 11879: Remove unecessary code in controller (8.16 KB, patch)
2018-04-24 16:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes (3.75 KB, patch)
2018-05-29 20:17 UTC, David Bourgault
Details | Diff | Splinter Review
Bug 21753: DBRev 18.12.00.007 (3.81 KB, patch)
2019-01-09 16:47 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 21753: DBRev 18.12.00.007 (3.81 KB, text/plain)
2019-01-09 17:05 UTC, José-Mario Monteiro-Santos
Details
Bug 11879: Add the "Main contact method" field in borrower informations. (16.45 KB, patch)
2019-01-15 21:18 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: (follow-up) Streamline markup and make label corrections (3.61 KB, patch)
2019-01-15 21:19 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: (QA follow-up) Fix problems found in code review (7.82 KB, patch)
2019-01-15 21:19 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: Schema updates (2.91 KB, patch)
2019-01-15 21:20 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: Remove unecessary code in controller (7.29 KB, patch)
2019-01-15 21:20 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes (3.75 KB, patch)
2019-01-15 21:20 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.01 KB, patch)
2019-04-19 17:59 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: (follow-up) Streamline markup and make label corrections (3.61 KB, patch)
2019-04-19 17:59 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: (QA follow-up) Fix problems found in code review (7.43 KB, patch)
2019-04-19 17:59 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: Schema updates (2.91 KB, patch)
2019-04-19 18:00 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: Remove unecessary code in controller (7.29 KB, patch)
2019-04-19 18:00 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes (3.75 KB, patch)
2019-04-19 18:01 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.06 KB, patch)
2019-04-22 21:48 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.12 KB, patch)
2019-04-22 21:53 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 11879: (follow-up) Streamline markup and make label corrections (3.68 KB, patch)
2019-04-22 21:53 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 11879: (QA follow-up) Fix problems found in code review (7.52 KB, patch)
2019-04-22 21:54 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 11879: Schema updates (2.99 KB, patch)
2019-04-22 21:54 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 11879: Remove unecessary code in controller (7.37 KB, patch)
2019-04-22 21:55 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes (3.83 KB, patch)
2019-04-22 21:56 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.22 KB, patch)
2019-10-07 20:23 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.22 KB, patch)
2019-10-07 20:42 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: (follow-up) Streamline markup and make label corrections (3.72 KB, patch)
2019-10-07 20:42 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: (QA follow-up) Fix problems found in code review (5.21 KB, patch)
2019-10-07 20:42 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: Schema updates (3.03 KB, patch)
2019-10-07 20:42 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: Remove unecessary code in controller (7.35 KB, patch)
2019-10-07 20:42 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes (3.10 KB, patch)
2019-10-07 20:43 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes (3.10 KB, patch)
2019-10-08 20:08 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes (3.15 KB, patch)
2019-10-08 20:21 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.22 KB, patch)
2019-10-21 15:52 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: (follow-up) Streamline markup and make label corrections (3.72 KB, patch)
2019-10-21 15:52 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: (QA follow-up) Fix problems found in code review (5.21 KB, patch)
2019-10-21 15:52 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: Schema updates (3.03 KB, patch)
2019-10-21 15:53 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: Remove unecessary code in controller (7.35 KB, patch)
2019-10-21 15:53 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes (3.15 KB, patch)
2019-10-21 15:53 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: Add the "Main contact method" field in borrower informations. (16.22 KB, patch)
2019-10-21 15:58 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: (follow-up) Streamline markup and make label corrections (3.72 KB, patch)
2019-10-21 15:59 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: (QA follow-up) Fix problems found in code review (5.21 KB, patch)
2019-10-21 15:59 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: Schema updates (3.03 KB, patch)
2019-10-21 15:59 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: Remove unecessary code in controller (7.35 KB, patch)
2019-10-21 15:59 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes (3.21 KB, patch)
2019-10-21 15:59 UTC, Bin Wen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédérick Capovilla 2014-02-28 20:26:35 UTC Comment hidden (obsolete)
Comment 1 Frédérick Capovilla 2014-02-28 20:26:56 UTC
Sponsored-by: CCSR ( http://www.ccsr.qc.ca )
Comment 2 Marc Véron 2014-03-04 16:21:37 UTC
Wanted to test. Patch does not apply.
Comment 3 Frédérick Capovilla 2014-03-06 22:42:42 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2014-03-07 17:03:30 UTC Comment hidden (obsolete)
Comment 5 Magnus Enger 2014-03-11 09:40:07 UTC
The second patch (from Kyle) has a problem:

$ git bz apply 11879
Bug 11879 - Add a new borrower field : main contact method.

25922 - New version of the patch. Rebase on current master.
25941 - Bug 11879 [QA Followup] - Fix patch to follow modern coding guidelines

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Add the "Main contact method" field in borrower informations.
Applying: Bug 11879 [QA Followup] - Fix patch to follow modern coding guidelines
fatal: sha1 information is lacking or useless (installer/data/mysql/updatedatabase.pl).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 11879 [QA Followup] - Fix patch to follow modern coding guidelines
The copy of the patch that failed is found in:
   /home/magnus/scripts/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-11879-QA-Followup---Fix-patch-to-follow-modern-D5v_Ji.patch
Comment 6 simith.doliveira 2014-08-29 18:51:00 UTC Comment hidden (obsolete)
Comment 7 simith.doliveira 2014-08-29 18:59:35 UTC Comment hidden (obsolete)
Comment 8 Marc Véron 2014-08-30 09:40:40 UTC
Main contact select box displays as expected in borrower modification, but value is not written to database.
It seems that changes to members/memberentry.pl are not contained in this patch.
Comment 9 simith.doliveira 2014-09-02 12:55:47 UTC Comment hidden (obsolete)
Comment 10 Marc Véron 2014-12-12 14:31:21 UTC Comment hidden (obsolete)
Comment 11 Marc Véron 2014-12-12 14:46:40 UTC
Main contact select box displays as expected in borrower modification and the value is written to database.

However I found following issue:

Edit syspref BorrowerUnwantedField and hide e.g. phonepro (= Secondary phone)

Result: 
Secondary phone can still be selected as Main contact.

Expected Result: 
Secondary phone (or other unwanted fields) should be hidden in select box as well.
Comment 12 simith.doliveira 2014-12-17 14:17:48 UTC Comment hidden (obsolete)
Comment 13 simith.doliveira 2014-12-17 14:19:51 UTC
Syspref BorrowerUnwantedField problem was fixed
Comment 14 Marc Véron 2014-12-18 04:15:00 UTC Comment hidden (obsolete)
Comment 15 Marc Véron 2014-12-18 04:17:55 UTC Comment hidden (obsolete)
Comment 16 Kyle M Hall 2014-12-19 15:34:59 UTC Comment hidden (obsolete)
Comment 17 Kyle M Hall 2014-12-19 15:35:23 UTC Comment hidden (obsolete)
Comment 18 Kyle M Hall 2014-12-19 15:36:05 UTC Comment hidden (obsolete)
Comment 19 Kyle M Hall 2014-12-19 15:37:00 UTC
The only issue I have is with the language. I think 'preferred' or 'primary' would probably serve better than 'main', but that is only my opinion.
Comment 20 Marc Véron 2015-04-13 10:12:50 UTC
After applying t/db_dependent/Members.t fails at lin 102 with:
#   Failed test 'Confirm MoveMemberToDeleted.'
#   at t/db_dependent/Members.t line 102.
#     Structures begin differing at:
#          $got->{primary_contact_method} = Does not exist
#     $expected->{primary_contact_method} = undef

The reason is that the field primary_contact_method is added to the table borrowers but not to the table deletedborrowers.
Comment 21 Rémi Mayrand-Provencher 2015-07-27 21:01:23 UTC Comment hidden (obsolete)
Comment 22 Rémi Mayrand-Provencher 2015-07-28 18:08:50 UTC Comment hidden (obsolete)
Comment 23 Rémi Mayrand-Provencher 2015-07-28 18:09:13 UTC Comment hidden (obsolete)
Comment 24 Rémi Mayrand-Provencher 2015-07-28 18:09:34 UTC Comment hidden (obsolete)
Comment 25 Rémi Mayrand-Provencher 2015-07-28 18:16:29 UTC
(In reply to Rémi Mayrand-Provencher from comment #24)
> Created attachment 41222 [details] [review] [review]
> Bug 11879 - adds primary_contact_method column to deletedborrowers table

I transferred the changes from the patch "Bug 11879 - adds primary_contact_method column to deletedborrowers table" on the first two patches so that they can be both be applied without any conflicts.
Comment 26 Rémi Mayrand-Provencher 2015-07-28 18:17:12 UTC
(In reply to Rémi Mayrand-Provencher from comment #24)
> Created attachment 41222 [details] [review] [review]
> Bug 11879 - adds primary_contact_method column to deletedborrowers table

I transferred the changes from the patch "Bug 11879 - adds primary_contact_method column to deletedborrowers table" on the first two patches so that they can be both be applied without any conflicts.
Comment 27 Aleisha Amohia 2015-12-22 01:58:49 UTC
Where can a librarian see the patron's chosen main contact method? I feel like it should be under their contact information on the Details page
Comment 28 Bouzid Fergani 2015-12-30 20:43:14 UTC Comment hidden (obsolete)
Comment 29 Bouzid Fergani 2016-01-05 21:01:50 UTC Comment hidden (obsolete)
Comment 30 Bouzid Fergani 2016-01-05 21:20:14 UTC Comment hidden (obsolete)
Comment 31 Bouzid Fergani 2016-01-05 21:29:37 UTC Comment hidden (obsolete)
Comment 32 Aleisha Amohia 2016-01-06 01:11:19 UTC
Applying: Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing)
fatal: sha1 information is lacking or useless (installer/data/mysql/kohastructure.sql).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 11879 - Add a new borrower field : main contact method. (Was: Rebased on current master for testing)
Comment 33 Rémi Mayrand-Provencher 2016-02-15 19:06:24 UTC Comment hidden (obsolete)
Comment 34 Rémi Mayrand-Provencher 2016-02-15 19:06:33 UTC Comment hidden (obsolete)
Comment 35 Rémi Mayrand-Provencher 2016-02-15 19:06:37 UTC Comment hidden (obsolete)
Comment 36 Aleisha Amohia 2016-02-15 20:24:16 UTC Comment hidden (obsolete)
Comment 37 Aleisha Amohia 2016-02-15 20:24:43 UTC Comment hidden (obsolete)
Comment 38 Aleisha Amohia 2016-02-15 20:24:52 UTC Comment hidden (obsolete)
Comment 39 Aleisha Amohia 2016-02-15 20:25:02 UTC Comment hidden (obsolete)
Comment 40 Jonathan Druart 2016-02-16 09:59:45 UTC
Note: This is just for display purpose, this new field is never used for sending notices to patrons.

QA comment:
- The second patch modifies "Other phone" with "Mobile phone". "Other phone" is used in master atm
- The deletedborrowers table structure should be modified too
- It would be good to let the user modify this value from the OPAC, don't you think?
Comment 41 Rémi Mayrand-Provencher 2016-03-02 19:32:51 UTC Comment hidden (obsolete)
Comment 42 Rémi Mayrand-Provencher 2016-03-02 19:33:03 UTC Comment hidden (obsolete)
Comment 43 Rémi Mayrand-Provencher 2016-03-02 19:33:14 UTC Comment hidden (obsolete)
Comment 44 Rémi Mayrand-Provencher 2016-03-02 19:33:22 UTC Comment hidden (obsolete)
Comment 45 M. Tompsett 2016-03-28 03:39:24 UTC
When ALTER'ing it is a good idea to put "AFTER" as part of the SQL statement so that upgrades and fresh installs are guaranteed to have the same field order.
Comment 46 Owen Leonard 2016-04-05 18:54:30 UTC
I'm guessing this is 'Failed QA' based on Comment 45.
Comment 47 Rémi Mayrand-Provencher 2016-04-19 17:37:05 UTC Comment hidden (obsolete)
Comment 48 Rémi Mayrand-Provencher 2016-04-19 17:37:42 UTC
Added "after" in the atomic update, changed status to needs signoff! Thank you!
Comment 49 Owen Leonard 2016-04-21 13:23:58 UTC
Sorry, this does not apply anymore!
Comment 50 Mehdi Hamidi 2016-06-20 15:53:50 UTC Comment hidden (obsolete)
Comment 51 Mehdi Hamidi 2016-06-20 16:12:44 UTC Comment hidden (obsolete)
Comment 52 Mehdi Hamidi 2016-06-20 18:20:21 UTC Comment hidden (obsolete)
Comment 53 Mehdi Hamidi 2016-06-20 18:23:37 UTC Comment hidden (obsolete)
Comment 54 Mehdi Hamidi 2016-06-20 18:23:52 UTC Comment hidden (obsolete)
Comment 55 Mehdi Hamidi 2016-06-20 18:24:15 UTC Comment hidden (obsolete)
Comment 56 Mehdi Hamidi 2016-06-20 18:24:34 UTC Comment hidden (obsolete)
Comment 57 Mehdi Hamidi 2016-06-20 18:24:44 UTC Comment hidden (obsolete)
Comment 58 Mehdi Hamidi 2016-06-20 18:24:50 UTC Comment hidden (obsolete)
Comment 59 Marc Véron 2016-07-08 07:29:31 UTC
installer/data/mysql/updatedatabase.pl adds a field primary_contact_method to borrowers

That makes borrowers_primary_contact_method.sql fail (adding fields to borrowers, deletedborrowers, borrower_modifications).
Comment 60 Mehdi Hamidi 2016-07-08 17:45:04 UTC Comment hidden (obsolete)
Comment 61 Owen Leonard 2016-07-11 16:31:17 UTC
(In reply to Jonathan Druart from comment #40)
> QA comment:
> - The second patch modifies "Other phone" with "Mobile phone". "Other phone"
> is used in master atm

This is still true. Also, in both the OPAC and staff client the "main contact method" label is incorrectly capitalized. Template guidelines say that only the first letter should be upper case. There should also be a ":" after the label:

"Main contact method:"

Is there a plan for some functionality which is based on this setting?
Comment 62 Mehdi Hamidi 2016-07-25 15:00:37 UTC Comment hidden (obsolete)
Comment 63 Mehdi Hamidi 2016-07-25 15:01:43 UTC Comment hidden (obsolete)
Comment 64 Mehdi Hamidi 2016-07-25 15:48:03 UTC Comment hidden (obsolete)
Comment 65 Mehdi Hamidi 2016-07-25 17:43:20 UTC Comment hidden (obsolete)
Comment 66 Mehdi Hamidi 2016-07-25 17:44:59 UTC Comment hidden (obsolete)
Comment 67 Mehdi Hamidi 2016-07-25 17:59:18 UTC Comment hidden (obsolete)
Comment 68 Mehdi Hamidi 2016-07-25 17:59:22 UTC Comment hidden (obsolete)
Comment 69 Mehdi Hamidi 2016-07-25 17:59:26 UTC Comment hidden (obsolete)
Comment 70 Mehdi Hamidi 2016-07-25 17:59:30 UTC Comment hidden (obsolete)
Comment 71 Mehdi Hamidi 2016-07-25 17:59:34 UTC Comment hidden (obsolete)
Comment 72 Mehdi Hamidi 2016-07-25 17:59:38 UTC Comment hidden (obsolete)
Comment 73 Chris Cormack 2016-09-09 01:18:55 UTC
Should be an easy to solve conflict, just a conflict on memberentrygen.tt to do with the CSRF protection.

Happy to test again when it is sorted.
Comment 74 Charles Farmer 2016-09-29 21:23:39 UTC Comment hidden (obsolete)
Comment 75 Nicolas Legrand 2016-10-12 13:54:10 UTC Comment hidden (obsolete)
Comment 76 Nicolas Legrand 2016-10-12 13:56:03 UTC Comment hidden (obsolete)
Comment 77 Jonathan Druart 2017-01-02 13:48:00 UTC
The patch does not apply, please rebase.
Comment 78 Charles Farmer 2017-01-03 20:03:28 UTC Comment hidden (obsolete)
Comment 79 M. Tompsett 2017-01-03 20:26:19 UTC
Comment on attachment 58580 [details] [review]
Bug 11879: Add the "Main contact method" field in borrower informations.

Review of attachment 58580 [details] [review]:
-----------------------------------------------------------------

I don't believe the Borrower.pm, BorrowerModification.pm, and Deletedborrower.pm were generated using the appropriate scripts.
Comment 80 Jonathan Druart 2017-01-04 08:53:33 UTC
- Schema files should be moved to a separate patch
- Changes to kohastructure are wrong, please double check.
Comment 81 Charles Farmer 2017-01-04 14:36:53 UTC
Mark, when you say the schema files were not generated correctly, do you mean that you want to see the file hash change in the patch? I know you can't override it afterwards if you decide to regenerate them again because the script doesn't allow it, but I thought these files were generated again by the RM upon release.

Anyway, I'll submit a separate patch for the schemas with the output of the script _as is_.

And sorry for that messy rebase, that borrower table appearing a thousand lines before caught me by surprise.
Comment 82 Charles Farmer 2017-01-04 15:02:12 UTC Comment hidden (obsolete)
Comment 83 Charles Farmer 2017-01-04 15:02:29 UTC Comment hidden (obsolete)
Comment 84 Charles Farmer 2017-01-04 15:02:35 UTC Comment hidden (obsolete)
Comment 85 Jesse Maseto 2017-03-20 10:34:02 UTC
This patch does not apply.
Comment 86 Philippe Audet-Fortin 2017-05-08 12:47:10 UTC Comment hidden (obsolete)
Comment 87 Philippe Audet-Fortin 2017-05-08 12:47:22 UTC Comment hidden (obsolete)
Comment 88 Josef Moravec 2017-05-09 14:48:26 UTC
I found some issues with this patchset:
1) It removes field overdrive_auth_token field from tables borrowers and deletedborrowers
2) Automic update and kohastructure has to be consistent in field order, in atomic, the new field is added after 'privacy', in kohastructure at the end - it is bad
Comment 89 Philippe Audet-Fortin 2017-08-10 13:52:31 UTC Comment hidden (obsolete)
Comment 90 Philippe Audet-Fortin 2017-08-10 13:56:46 UTC Comment hidden (obsolete)
Comment 91 Alex Buckley 2017-10-04 02:58:05 UTC
Hi Philippe

Sorry but when applying your patch I got the following merge errors (see below), the issues are in moremember.tt and moremember.pl. Can you please rebase against master and then I will be more than happy to test again:

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 11879: Add the "Main contact method" field in borrower informations.
Using index info to reconstruct a base tree...
M	installer/data/mysql/kohastructure.sql
M	installer/data/mysql/updatedatabase.pl
M	koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt
M	koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-memberentry.tt
M	members/memberentry.pl
M	members/moremember.pl
M	opac/opac-memberentry.pl
Falling back to patching base and 3-way merge...
Auto-merging opac/opac-memberentry.pl
Auto-merging members/moremember.pl
CONFLICT (content): Merge conflict in members/moremember.pl
Auto-merging members/memberentry.pl
Auto-merging koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-memberentry.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt
Auto-merging installer/data/mysql/updatedatabase.pl
Auto-merging installer/data/mysql/kohastructure.sql
Failed to merge in the changes.
Patch failed at 0001 Bug 11879: Add the "Main contact method" field in borrower informations.
The copy of the patch that failed is found in:
   /home/vagrant/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-11879-Add-the-Main-contact-method-field-in-bor-uOjbTv.patch
Comment 92 David Bourgault 2017-11-08 14:28:40 UTC
Created attachment 69028 [details] [review]
Bug 11879: Add the "Main contact method" field in borrower informations.

This patch adds the "Main Contact Method" field in the borrower modification form.

This field is useful for reporting purposes, or to know which contact method to use first when trying to contact a borrower.

Following Nicolas' fix, removed a $branch variable from patch, since it has been suppressed in Bug 17284.

Test case :
* Edit a borrower's informations. The "Main Contact Method" selectbox should appear in the form and its value should be saved correctly.

Sponsored-by: CCSR <http://www.ccsr.qc.ca>
Comment 93 David Bourgault 2017-11-08 14:29:00 UTC
Created attachment 69029 [details] [review]
Bug 11879: Changes to Koha's schemas
Comment 94 David Bourgault 2017-11-08 14:32:29 UTC
Rebased patches.

Test plan is same as before:
0) Apply patch
1) updatedatabase.pl
2) In the staff client, edit a patron's contact info. There should be a new dropdown select to choose the main contact method
3) Save the form. The selected field should appear in the patron's detail page.
Comment 95 Owen Leonard 2017-11-09 12:53:45 UTC Comment hidden (obsolete)
Comment 96 M. Tompsett 2018-01-19 14:08:03 UTC
Comment on attachment 69028 [details] [review]
Bug 11879: Add the "Main contact method" field in borrower informations.

Review of attachment 69028 [details] [review]:
-----------------------------------------------------------------

::: installer/data/mysql/atomicupdate/borrowers_primary_contact_method.sql
@@ +1,2 @@
> +ALTER TABLE `borrowers` ADD COLUMN `primary_contact_method` VARCHAR(45) NULL DEFAULT NULL AFTER `lastseen`;
> +ALTER TABLE `deletedborrowers` ADD COLUMN `primary_contact_method` VARCHAR(45) NULL DEFAULT NULL AFTER `overdrive_auth_token`;

deletedborrowers and borrowers should maintain the same field order.

::: installer/data/mysql/kohastructure.sql
@@ +1682,4 @@
>    `lang` varchar(25) NOT NULL default 'default', -- lang to use to send notices to this patron
>    `login_attempts` int(4) default 0, -- number of failed login attemps
>    `overdrive_auth_token` text default NULL, -- persist OverDrive auth token
> +  `lastseen` datetime default NULL, -- last time a patron has been seed (connected at the OPAC or staff interface)

This adds lastseen, but the borrowers_primary_contact_method did not add it at all.

::: installer/data/mysql/updatedatabase.pl
@@ +14968,4 @@
>      }
>  }
>  
> +

Totally not necessary to touch this.

::: koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt
@@ +538,5 @@
>  
>  [% UNLESS nophone && nophonepro && nomobile && noemail && noemailpro && nofax %]
>    <fieldset class="rows" id="memberentry_contact">
> +    <legend id="contact_lgd">Contact</legend>
> +<ol>

Keep whitespace changes separate.

@@ +602,4 @@
>  	  [% IF ( mandatoryemailpro ) %]<span class="required">Required</span>[% END %]
>      </li>
>          [% END %]
> +    [% UNLESS nofax %]

Keep whitespace changes separate.

@@ +664,5 @@
> +            [% END %]
> +         [% END %]
> +       </select>
> +    </li>
> +    </ol>

This is the only place where you can really get away with these minor whitespace changes on the END and /ol.

::: koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt
@@ +275,5 @@
> +            [% ELSE %]
> +                [% guarantor.firstname | html %] [% guarantor.surname | html %]
> +            [% END %]
> +        </li>
> +    [% END %]

Where did this ELSIF clause come from?! This has nothing to do with primary_contact_method.

::: opac/opac-memberentry.pl
@@ +93,5 @@
>      libraries         => \@libraries,
>      OPACPatronDetails => C4::Context->preference('OPACPatronDetails'),
>  );
> +my $check_BorrowerMandatoryField=C4::Context->preference("BorrowerMandatoryField");
> +        my @field_check=split(/\|/,$check_BorrowerMandatoryField);

Something is strange about this indentation. I would expect the same indentation level.
Comment 97 M. Tompsett 2018-01-19 14:09:08 UTC
Comment on attachment 69029 [details] [review]
Bug 11879: Changes to Koha's schemas

Review of attachment 69029 [details] [review]:
-----------------------------------------------------------------

None of these have lastseen, as mentioned in the other patch.
Comment 98 M. Tompsett 2018-01-19 14:14:58 UTC
Comment on attachment 69050 [details] [review]
Bug 11879: Follow-up - Streamline markup and make label corrections

Review of attachment 69050 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt
@@ +293,5 @@
> +                    Secondary email
> +                [% CASE 'fax' %]
> +                    Fax
> +            [% END %]
> +        </li>

This is nicer and friendlier on the po files, I'm sure. I believe it was done the other way because of a misunderstanding of HTML 1 (https://wiki.koha-community.org/wiki/Coding_Guidelines#HTML_Templates). The SWITCH isn't allowed inside HTML tags, that is <tag [% SWITCH ... %]> is really bad.
Comment 99 Charles Farmer 2018-02-19 15:22:29 UTC Comment hidden (obsolete)
Comment 100 Charles Farmer 2018-02-19 15:22:36 UTC Comment hidden (obsolete)
Comment 101 Charles Farmer 2018-02-19 15:22:43 UTC Comment hidden (obsolete)
Comment 102 Charles Farmer 2018-02-19 15:22:52 UTC Comment hidden (obsolete)
Comment 103 Charles Farmer 2018-02-19 15:41:43 UTC
Much tighter patches this time, thanks to Mark's comments. I'll review the changes one by one:

1) members/moremember.pl was adapted to reduce the diff's length. In previous iterations, many additional variables were passed to the templates -- borrowernumber, othernames, etc. -- but these are not necessary anymore, thanks to the patron objects. The template moremember-brief.tt was adapted to reflect these changes.

2) borrowers_primary_contact_method.sql is now adding columns at the very end of the table, in order to keep the existing columns in the same order.

3) `lastseen` had no reason whatsoever to be here. Kept the field the way it already was in the tables where we added primary_contact_method.

4) whitespace changes were rolled back, according to the minimum diff policy(TM)

5) I'm definitely responsible for the moremember.tt screwup code duplication; it appeared in patch #69028 when I must've rebased. It's now removed from this patch.

6) Indentation was corrected in opac-memberentry.pl

This code should also pass qa -c 4.

Needs signoff.
Comment 104 sandboxes@biblibre.com 2018-03-12 10:14:13 UTC
Patch tested with a sandbox, by Lucie Gay <lucie.gay@ens-paris-saclay.fr>
Comment 105 sandboxes@biblibre.com 2018-03-12 10:15:19 UTC Comment hidden (obsolete)
Comment 106 sandboxes@biblibre.com 2018-03-12 10:15:24 UTC Comment hidden (obsolete)
Comment 107 sandboxes@biblibre.com 2018-03-12 10:15:29 UTC Comment hidden (obsolete)
Comment 108 sandboxes@biblibre.com 2018-03-12 10:15:34 UTC Comment hidden (obsolete)
Comment 109 Aurélie 2018-03-12 10:24:56 UTC
Lucie et Aurélie : first test during Hackfest 2018 for us! 
A new dropdown select to chose the main contact method = OK
The selected field appears in the patron's detail page = OK
Comment 110 Katrin Fischer 2018-04-10 06:36:13 UTC
Almost finished, but will have to continue later!
Comment 111 Katrin Fischer 2018-04-11 05:39:20 UTC Comment hidden (obsolete)
Comment 112 Katrin Fischer 2018-04-11 05:39:28 UTC Comment hidden (obsolete)
Comment 113 Katrin Fischer 2018-04-11 05:39:35 UTC Comment hidden (obsolete)
Comment 114 Katrin Fischer 2018-04-11 05:39:42 UTC Comment hidden (obsolete)
Comment 115 Charles Farmer 2018-04-11 17:28:58 UTC
Tried rebasing moremember.tt over the work done in Bug 19129, but I was struck by this message:

Applying: Bug 11879: Follow-up - Streamline markup and make label corrections
Applying: Bug 11879: Follow-up - code review
fatal: sha1 information is lacking or useless (installer/data/mysql/updatedatabase.pl).
error: could not build fake ancestor
Patch failed at 0001 Bug 11879: Follow-up - code review
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-11879-Follow-up---code-review-S0MhGZ.patch
Comment 116 Katrin Fischer 2018-04-12 07:31:59 UTC
Have the same conflict.
Comment 117 Charles Farmer 2018-04-12 21:17:51 UTC
It's unfortunate, but I'll just reapply an obsoleted set of patches to make this work. Changes coming in the next few hours.

Really at lost about what happened here.
Comment 118 Charles Farmer 2018-04-13 06:05:53 UTC
Created attachment 74123 [details] [review]
Bug 11879: Add the "Main contact method" field in borrower informations.

This patch adds the "Main Contact Method" field in the borrower modification form.

This field is useful for reporting purposes, or to know which contact method to use first when trying to contact a borrower.

Following Nicolas' fix, removed a $branch variable from patch, since it has been suppressed in Bug 17284.

Test case :
* Edit a borrower's informations. The "Main Contact Method" selectbox should appear in the form and its value should be saved correctly.

Sponsored-by: CCSR <http://www.ccsr.qc.ca>

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 119 Charles Farmer 2018-04-13 06:06:12 UTC
Created attachment 74124 [details] [review]
Bug 11879: (follow-up) Streamline markup and make label corrections

This patch makes minor markup corrections to the patron detail page
template:

- Simplify the SWITCH markup
- Add "primary" to primary phone label
- Correct case on label
- Add IF statement to hide label if there is no primary contact
  method

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 120 Charles Farmer 2018-04-13 06:06:45 UTC
Created attachment 74125 [details] [review]
Bug 11879: (QA follow-up) Fix problems found in code review

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 121 Charles Farmer 2018-04-13 06:07:44 UTC
Created attachment 74126 [details] [review]
Bug 11879: Schema updates

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 122 Charles Farmer 2018-04-13 06:11:31 UTC
Digging a bit further, the problem stemmed from patch ordering, and what looks like patch duplication after signoff. Changing the patch titles to adhere to the new naming convention must have confused git-bz attach.

If you're unsure, you can diff the previous patch 1 against patch 5, idem for patch 2 and 6.

I've submitted a new set of four patches, keeping those with the newest naming convention for clarity's sake, all the while making sure no changes were dropped. Should work exactly as before.
Comment 123 Katrin Fischer 2018-04-13 07:07:37 UTC
Sorry, that was my fault then, didn't spot it!
Comment 124 Katrin Fischer 2018-04-15 09:26:29 UTC
Checked the patches, QA tools still pass, no differences found.
Comment 125 Jonathan Druart 2018-04-24 16:53:01 UTC
Created attachment 74818 [details] [review]
Bug 11879: Remove unecessary code in controller

- adds the field required is defined in BorrowerMandatoryField (staff
only)
- removes code from controller (not needed, we can follow existing
pattern)
- does not send patron's attribute separately (we have the 'patron'
variable already)

Need to be done:
- same changes for the OPAC
- remove extra changes made to moremember-brief.tt (if bugfix it needs
to be moved on a separate bug report)
- deal with PatronSelfModificationBorrowerUnwantedField and
PatronSelfRegistrationBorrowerUnwantedField

I first thought it would have replaced AutoEmailPrimaryAddress, but it
actually only needed for display purpose, how/where can we explain that?
Are release notes enough?
Comment 126 Jonathan Druart 2018-04-24 16:54:05 UTC
Sorry but I found several issues, I started to fix them but cannot fix all.
Please take a look at the last patch and the "todo" section.
Comment 127 David Bourgault 2018-05-29 20:17:58 UTC
Created attachment 75652 [details] [review]
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes
Comment 128 David Bourgault 2018-05-29 20:18:57 UTC
I corrected the OPAC's member info form's behavior and removed the unrelated code in moremember-brief.tt
Comment 129 José-Mario Monteiro-Santos 2019-01-09 16:47:07 UTC Comment hidden (obsolete)
Comment 130 José-Mario Monteiro-Santos 2019-01-09 17:05:40 UTC Comment hidden (obsolete)
Comment 131 José-Mario Monteiro-Santos 2019-01-15 21:18:09 UTC
Created attachment 84017 [details] [review]
Bug 11879: Add the "Main contact method" field in borrower informations.

This patch adds the "Main Contact Method" field in the borrower modification form.

This field is useful for reporting purposes, or to know which contact method to use first when trying to contact a borrower.

Following Nicolas' fix, removed a $branch variable from patch, since it has been suppressed in Bug 17284.

Test case :
* Edit a borrower's informations. The "Main Contact Method" selectbox should appear in the form and its value should be saved correctly.

Sponsored-by: CCSR <http://www.ccsr.qc.ca>

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 132 José-Mario Monteiro-Santos 2019-01-15 21:19:43 UTC
Created attachment 84018 [details] [review]
Bug 11879: (follow-up) Streamline markup and make label corrections

This patch makes minor markup corrections to the patron detail page
template:

- Simplify the SWITCH markup
- Add "primary" to primary phone label
- Correct case on label
- Add IF statement to hide label if there is no primary contact
  method

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 133 José-Mario Monteiro-Santos 2019-01-15 21:19:59 UTC
Created attachment 84019 [details] [review]
Bug 11879: (QA follow-up) Fix problems found in code review

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 134 José-Mario Monteiro-Santos 2019-01-15 21:20:09 UTC
Created attachment 84020 [details] [review]
Bug 11879: Schema updates

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 135 José-Mario Monteiro-Santos 2019-01-15 21:20:18 UTC
Created attachment 84021 [details] [review]
Bug 11879: Remove unecessary code in controller

- adds the field required is defined in BorrowerMandatoryField (staff
only)
- removes code from controller (not needed, we can follow existing
pattern)
- does not send patron's attribute separately (we have the 'patron'
variable already)

Need to be done:
- same changes for the OPAC
- remove extra changes made to moremember-brief.tt (if bugfix it needs
to be moved on a separate bug report)
- deal with PatronSelfModificationBorrowerUnwantedField and
PatronSelfRegistrationBorrowerUnwantedField

I first thought it would have replaced AutoEmailPrimaryAddress, but it
actually only needed for display purpose, how/where can we explain that?
Are release notes enough?
Comment 136 José-Mario Monteiro-Santos 2019-01-15 21:20:26 UTC
Created attachment 84022 [details] [review]
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes
Comment 137 José-Mario Monteiro-Santos 2019-01-15 21:21:42 UTC
Rebased to master, patch should apply again.
Comment 138 Hayley Mapley 2019-04-17 04:24:01 UTC
Patch doesn't apply. If this can be sorted I am keen to test this patch

Applying: Bug 11879: Add the "Main contact method" field in borrower informations.
Using index info to reconstruct a base tree...
M	installer/data/mysql/kohastructure.sql
M	installer/data/mysql/updatedatabase.pl
M	koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt
M	koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-memberentry.tt
M	members/memberentry.pl
M	members/moremember.pl
M	opac/opac-memberentry.pl
Falling back to patching base and 3-way merge...
Auto-merging opac/opac-memberentry.pl
Auto-merging members/moremember.pl
Auto-merging members/memberentry.pl
Auto-merging koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-memberentry.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/members/memberentrygen.tt
Auto-merging installer/data/mysql/updatedatabase.pl
Auto-merging installer/data/mysql/kohastructure.sql
Applying: Bug 11879: (follow-up) Streamline markup and make label corrections
Applying: Bug 11879: (QA follow-up) Fix problems found in code review
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 11879: (QA follow-up) Fix problems found in code review
Comment 139 José-Mario Monteiro-Santos 2019-04-19 17:59:37 UTC
Created attachment 88358 [details] [review]
Bug 11879: Add the "Main contact method" field in borrower informations.

This patch adds the "Main Contact Method" field in the borrower modification form.

This field is useful for reporting purposes, or to know which contact method to use first when trying to contact a borrower.

Following Nicolas' fix, removed a $branch variable from patch, since it has been suppressed in Bug 17284.

Test case :
* Edit a borrower's informations. The "Main Contact Method" selectbox should appear in the form and its value should be saved correctly.

Sponsored-by: CCSR <http://www.ccsr.qc.ca>

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 140 José-Mario Monteiro-Santos 2019-04-19 17:59:46 UTC
Created attachment 88359 [details] [review]
Bug 11879: (follow-up) Streamline markup and make label corrections

This patch makes minor markup corrections to the patron detail page
template:

- Simplify the SWITCH markup
- Add "primary" to primary phone label
- Correct case on label
- Add IF statement to hide label if there is no primary contact
  method

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 141 José-Mario Monteiro-Santos 2019-04-19 17:59:54 UTC
Created attachment 88360 [details] [review]
Bug 11879: (QA follow-up) Fix problems found in code review

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 142 José-Mario Monteiro-Santos 2019-04-19 18:00:02 UTC
Created attachment 88361 [details] [review]
Bug 11879: Schema updates

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 143 José-Mario Monteiro-Santos 2019-04-19 18:00:12 UTC
Created attachment 88362 [details] [review]
Bug 11879: Remove unecessary code in controller

- adds the field required is defined in BorrowerMandatoryField (staff
only)
- removes code from controller (not needed, we can follow existing
pattern)
- does not send patron's attribute separately (we have the 'patron'
variable already)

Need to be done:
- same changes for the OPAC
- remove extra changes made to moremember-brief.tt (if bugfix it needs
to be moved on a separate bug report)
- deal with PatronSelfModificationBorrowerUnwantedField and
PatronSelfRegistrationBorrowerUnwantedField

I first thought it would have replaced AutoEmailPrimaryAddress, but it
actually only needed for display purpose, how/where can we explain that?
Are release notes enough?
Comment 144 José-Mario Monteiro-Santos 2019-04-19 18:01:24 UTC
Created attachment 88363 [details] [review]
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes
Comment 145 José-Mario Monteiro-Santos 2019-04-19 18:04:42 UTC
(In reply to Hayley Mapley from comment #138)

I've rebased it, if you want to take a look at it !
Comment 146 Hayley Mapley 2019-04-22 21:48:09 UTC
Created attachment 88394 [details] [review]
Bug 11879: Add the "Main contact method" field in borrower informations.

This patch adds the "Main Contact Method" field in the borrower modification form.

This field is useful for reporting purposes, or to know which contact method to use first when trying to contact a borrower.

Following Nicolas' fix, removed a $branch variable from patch, since it has been suppressed in Bug 17284.

Test case :
* Edit a borrower's informations. The "Main Contact Method" selectbox should appear in the form and its value should be saved correctly.

Sponsored-by: CCSR <http://www.ccsr.qc.ca>

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 147 Hayley Mapley 2019-04-22 21:53:09 UTC
Created attachment 88395 [details] [review]
Bug 11879: Add the "Main contact method" field in borrower informations.

This patch adds the "Main Contact Method" field in the borrower modification form.

This field is useful for reporting purposes, or to know which contact method to use first when trying to contact a borrower.

Following Nicolas' fix, removed a $branch variable from patch, since it has been suppressed in Bug 17284.

Test case :
* Edit a borrower's informations. The "Main Contact Method" selectbox should appear in the form and its value should be saved correctly.

Sponsored-by: CCSR <http://www.ccsr.qc.ca>

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 148 Hayley Mapley 2019-04-22 21:53:37 UTC
Created attachment 88396 [details] [review]
Bug 11879: (follow-up) Streamline markup and make label corrections

This patch makes minor markup corrections to the patron detail page
template:

- Simplify the SWITCH markup
- Add "primary" to primary phone label
- Correct case on label
- Add IF statement to hide label if there is no primary contact
  method

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 149 Hayley Mapley 2019-04-22 21:54:01 UTC
Created attachment 88397 [details] [review]
Bug 11879: (QA follow-up) Fix problems found in code review

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 150 Hayley Mapley 2019-04-22 21:54:51 UTC
Created attachment 88398 [details] [review]
Bug 11879: Schema updates

Signed-off-by: Lucie Gay <lucie.gay@ens-paris-saclay.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 151 Hayley Mapley 2019-04-22 21:55:17 UTC
Created attachment 88399 [details] [review]
Bug 11879: Remove unecessary code in controller

- adds the field required is defined in BorrowerMandatoryField (staff
only)
- removes code from controller (not needed, we can follow existing
pattern)
- does not send patron's attribute separately (we have the 'patron'
variable already)

Need to be done:
- same changes for the OPAC
- remove extra changes made to moremember-brief.tt (if bugfix it needs
to be moved on a separate bug report)
- deal with PatronSelfModificationBorrowerUnwantedField and
PatronSelfRegistrationBorrowerUnwantedField

I first thought it would have replaced AutoEmailPrimaryAddress, but it
actually only needed for display purpose, how/where can we explain that?
Are release notes enough?

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 152 Hayley Mapley 2019-04-22 21:56:17 UTC
Created attachment 88400 [details] [review]
Bug 11879: (follow-up) Corrected OPAC and removed unrelated changes

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 153 Josef Moravec 2019-04-24 15:39:31 UTC
Started QAing:

1) QA test tools have complains about missing filters

 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember-brief.tt
   FAIL	  filters
		missing_filter at line 22 (     [% UNLESS ( I ) %][% IF ( othernames ) %]&ldquo;[% othernames %]&rdquo;[% END %])
		missing_filter at line 64 (    <li><span class="label">Card number: </span>[% cardnumber %]</li>)
		missing_filter at line 65 (        <li><span class="label">Borrowernumber: </span> [% borrowernumber %]</li>)
		missing_filter at line 66 (    <li><span class="label">Category: </span>[% categoryname %] ([% categorycode %])</li>)
		missing_filter at line 66 (    <li><span class="label">Category: </span>[% categoryname %] ([% categorycode %])</li>)


2) The database update is not consistent, in atomic file you add columns after other columns then in kohastructure.sql

Also, you should use .perl atomic update here, to check for column existence before adding it - see skeleton.perl for example
Comment 154 Katrin Fischer 2019-04-28 09:53:14 UTC
*** Bug 9082 has been marked as a duplicate of this bug. ***
Comment 155 Bin Wen 2019-10-07 20:23:11 UTC Comment hidden (obsolete)
Comment 156 Bin Wen 2019-10-07 20:42:24 UTC Comment hidden (obsolete)
Comment 157 Bin Wen 2019-10-07 20:42:34 UTC Comment hidden (obsolete)
Comment 158 Bin Wen 2019-10-07 20:42:42 UTC Comment hidden (obsolete)
Comment 159 Bin Wen 2019-10-07 20:42:50 UTC Comment hidden (obsolete)
Comment 160 Bin Wen 2019-10-07 20:42:57 UTC Comment hidden (obsolete)
Comment 161 Bin Wen 2019-10-07 20:43:03 UTC Comment hidden (obsolete)
Comment 162 Bin Wen 2019-10-08 20:08:25 UTC Comment hidden (obsolete)
Comment 163 Bin Wen 2019-10-08 20:21:05 UTC Comment hidden (obsolete)
Comment 164 Bin Wen 2019-10-21 15:52:38 UTC Comment hidden (obsolete)
Comment 165 Bin Wen 2019-10-21 15:52:46 UTC Comment hidden (obsolete)
Comment 166 Bin Wen 2019-10-21 15:52:55 UTC Comment hidden (obsolete)
Comment 167 Bin Wen 2019-10-21 15:53:03 UTC Comment hidden (obsolete)
Comment 168 Bin Wen 2019-10-21 15:53:10 UTC Comment hidden (obsolete)
Comment 169 Bin Wen 2019-10-21 15:53:17 UTC Comment hidden (obsolete)
Comment 170 Bin Wen 2019-10-21 15:58:55 UTC Comment hidden (obsolete)
Comment 171 Bin Wen 2019-10-21 15:59:04 UTC Comment hidden (obsolete)
Comment 172 Bin Wen 2019-10-21 15:59:12 UTC Comment hidden (obsolete)
Comment 173 Bin Wen 2019-10-21 15:59:19 UTC Comment hidden (obsolete)
Comment 174 Bin Wen 2019-10-21 15:59:27 UTC Comment hidden (obsolete)
Comment 175 Bin Wen 2019-10-21 15:59:34 UTC Comment hidden (obsolete)